OpenNMS API 1.2.9

## org.opennms.web.map
Class MapNode

    java.lang.Object
      org.opennms.web.map.MapNode

public class MapNode
extends java.lang.Object

This class stores the information that will be represented on the map we generate. It's easier to have an intermediary class like this than to try to massage the data directly from our source into the format we need. This also helps by abstracting the maths needed to figure out where to put everything on the page into this class where its easier to change globally if we want to change how we place things.

Author:
  Derek Glidden , NKSi

Field Summary
`static int` `defaultNodeHeight`
`static int` `defaultNodeWidth`
`static int` `heightBuffer`
`private java.lang.String` `hostname`
`private java.lang.String` `iconName`
`private java.lang.String` `ipAddress`
`private int` `nodeID`
`private int` `nodeParent`
`private double` `RTC`
`private java.lang.String` `status`
`static int` `widthBuffer`
`private int` `x`
`private int` `y`

Constructor Summary
`MapNode()` constructor

Method Summary
`int` `getBaseX()`
`int` `getBaseY()`
`int` `getCenterX()`
`int` `getCenterY()`
`java.lang.String` `getHostname()`
`java.lang.String` `getHostnameX()`
`java.lang.String` `getHostnameY()`
`java.lang.String` `getIconMaxX()`
`java.lang.String` `getIconMaxY()`
`java.lang.String` `getIconMinX()`
`java.lang.String` `getIconMinY()`
`java.lang.String` `getIconName()`
`java.lang.String` `getIconX()`
`java.lang.String` `getIconY()`
`java.lang.String` `getIPAddress()`
`java.lang.String` `getIPX()`
`java.lang.String` `getIPY()`
`java.lang.String` `getLineFromX()`
`java.lang.String` `getLineFromY()`
`java.lang.String` `getLineToX()`
`java.lang.String` `getLineToY()`
`int` `getNodeID()` getters
`int` `getNodeParent()`
`double` `getRTC()`
`java.lang.String` `getRTCX()`
`java.lang.String` `getRTCY()`
`java.lang.String` `getStatus()`
`java.lang.String` `getStatusX()`
`java.lang.String` `getStatusY()`
`int` `getX()`
`int` `getY()`
`void` `setHostname(java.lang.String hostname)`
`void` `setIconName(java.lang.String iconName)`
`void` `setIPAddress(java.lang.String ipAddress)`
`void` `setNodeID(int id)` setters
`void` `setNodeParent(int nodeParent)`
`void` `setRTC(double rtc)`
`void` `setStatus(java.lang.String status)`
`void` `setX(int x)`
`void` `setY(int y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nodeID

    private int nodeID

### nodeParent

    private int nodeParent

### x

    private int x

### y

    private int y

### RTC

    private double RTC

### hostname

    private java.lang.String hostname

### iconName

    private java.lang.String iconName

### ipAddress

    private java.lang.String ipAddress

### status

    private java.lang.String status

### defaultNodeWidth

    public static int defaultNodeWidth

### defaultNodeHeight

    public static int defaultNodeHeight

### widthBuffer

    public static int widthBuffer

### heightBuffer

    public static int heightBuffer

Constructor Detail

### MapNode

    public MapNode()

  constructor

Method Detail

### setNodeID

    public void setNodeID(int id)

  setters

### setNodeParent

    public void setNodeParent(int nodeParent)

### setX

    public void setX(int x)

### setY

    public void setY(int y)

### setHostname

    public void setHostname(java.lang.String hostname)

### setIconName

    public void setIconName(java.lang.String iconName)

### setIPAddress

    public void setIPAddress(java.lang.String ipAddress)

### setRTC

    public void setRTC(double rtc)

### setStatus

    public void setStatus(java.lang.String status)

### getNodeID

    public int getNodeID()

  getters

### getNodeParent

    public int getNodeParent()

### getX

    public int getX()

### getY

    public int getY()

### getBaseX

    public int getBaseX()

### getBaseY

    public int getBaseY()

### getCenterX

    public int getCenterX()

### getCenterY

    public int getCenterY()

### getLineFromX

    public java.lang.String getLineFromX()

### getLineFromY

    public java.lang.String getLineFromY()

### getLineToX

    public java.lang.String getLineToX()

### getLineToY

    public java.lang.String getLineToY()

### getIconX

    public java.lang.String getIconX()

### getIconY

    public java.lang.String getIconY()

### getIconMinX

    public java.lang.String getIconMinX()

### getIconMinY

    public java.lang.String getIconMinY()

### getIconMaxX

    public java.lang.String getIconMaxX()

### getIconMaxY

    public java.lang.String getIconMaxY()

### getHostnameX

    public java.lang.String getHostnameX()

### getHostnameY

    public java.lang.String getHostnameY()

### getIPX

    public java.lang.String getIPX()

### getIPY

    public java.lang.String getIPY()

### getRTCX

    public java.lang.String getRTCX()

### getRTCY

    public java.lang.String getRTCY()

### getStatusX

    public java.lang.String getStatusX()

### getStatusY

    public java.lang.String getStatusY()

### getHostname

    public java.lang.String getHostname()

### getIconName

    public java.lang.String getIconName()

### getIPAddress

    public java.lang.String getIPAddress()

### getRTC

    public double getRTC()

### getStatus

    public java.lang.String getStatus()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.